Skip to content

Create change order

POST
/change-orders
Idempotency-Key
string
object
projectId
required
integer
>= -2147483648 <= 2147483647
changeOrderNumber
string
title
required
string
description
string | null
reason
required
string
status
string
total
string
roundSalesAmounts
boolean | null
submittedAt
string | null
submittedBy
integer | null
>= -2147483648 <= 2147483647
approvedAt
string | null
approvedBy
string | null
rejectedAt
string | null
rejectedBy
string | null
rejectionReason
string | null
voidedAt
string | null
voidedBy
integer | null
>= -2147483648 <= 2147483647
voidReason
string | null
sentAt
string | null
sentBy
integer | null
>= -2147483648 <= 2147483647
createdBy
integer | null
>= -2147483648 <= 2147483647

Created

object
data
required
object
id
required
integer
changeOrderNumber
required
string
projectId
required
integer
title
required
string
description
required
string | null
status
required
string
reason
required
string | null
totalAmount
required
string | null
approvedAt
required
Any of:
string format: date-time
approvedBy
required
string | null
rejectedAt
required
Any of:
string format: date-time
rejectionReason
required
string | null
createdAt
required
Any of:
string format: date-time
updatedAt
required
Any of:
string format: date-time
meta
required
object
request_id

Server-generated request identifier

string
pagination
object
cursor
required

Opaque cursor for the next page; null when no more results

string | null
has_more
required

Whether more pages are available after this one

boolean
count
required

Items in this page

integer

Error

object
type
required

URL identifying the problem type

string format: uri
title
required

Short human-readable summary

string
status
required

HTTP status code

integer
detail

Human-readable explanation

string
request_id

Server-generated request identifier

string
errors

Validation error array (422 only)

Array<object>
object
field
required

Field path that failed validation

string
code
required

Validation error code

string
message
required

Human-readable validation message

string